Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface BorderFormatting

All Known Implementing Classes:
  HSSFBorderFormatting

    public interface BorderFormatting

Author:
  Dmitriy Kumshayev, Yegor Kozlov

Field Summary
`static short` | `BORDER_DASH_DOT` dash-dot border
`static short` | `BORDER_DASH_DOT_DOT` dash-dot-dot border
`static short` | `BORDER_DASHED` dash border
`static short` | `BORDER_DOTTED` hair-line border
`static short` | `BORDER_DOUBLE` double-line border
`static short` | `BORDER_HAIR` dot border
`static short` | `BORDER_MEDIUM` Medium border
`static short` | `BORDER_MEDIUM_DASH_DOT` medium dash-dot border
`static short` | `BORDER_MEDIUM_DASH_DOT_DOT` medium dash-dot-dot border
`static short` | `BORDER_MEDIUM_DASHED` Medium dashed border
`static short` | `BORDER_NONE` No border
`static short` | `BORDER_SLANTED_DASH_DOT` slanted dash-dot border
`static short` | `BORDER_THICK` Thick border
`static short` | `BORDER_THIN` Thin border

Method Summary
`short` | `getBorderBottom()`
`short` | `getBorderDiagonal()`
`short` | `getBorderLeft()`
`short` | `getBorderRight()`
`short` | `getBorderTop()`
`short` | `getBottomBorderColor()`
`short` | `getDiagonalBorderColor()`
`short` | `getLeftBorderColor()`
`short` | `getRightBorderColor()`
`short` | `getTopBorderColor()`
`void` | `setBorderBottom(short border)`
`void` | `setBorderDiagonal(short border)` Set diagonal border.
`void` | `setBorderLeft(short border)` Set left border.
`void` | `setBorderRight(short border)` Set right border.
`void` | `setBorderTop(short border)` Set top border.
`void` | `setBottomBorderColor(short color)`
`void` | `setDiagonalBorderColor(short color)`
`void` | `setLeftBorderColor(short color)`
`void` | `setRightBorderColor(short color)`
`void` | `setTopBorderColor(short color)`

Field Detail

### BORDER_NONE

    static final short BORDER_NONE

  No border

  See Also:
    Constant Field Values

### BORDER_THIN

    static final short BORDER_THIN

  Thin border

  See Also:
    Constant Field Values

### BORDER_MEDIUM

    static final short BORDER_MEDIUM

  Medium border

  See Also:
    Constant Field Values

### BORDER_DASHED

    static final short BORDER_DASHED

  dash border

  See Also:
    Constant Field Values

### BORDER_HAIR

    static final short BORDER_HAIR

  dot border

  See Also:
    Constant Field Values

### BORDER_THICK

    static final short BORDER_THICK

  Thick border

  See Also:
    Constant Field Values

### BORDER_DOUBLE

    static final short BORDER_DOUBLE

  double-line border

  See Also:
    Constant Field Values

### BORDER_DOTTED

    static final short BORDER_DOTTED

  hair-line border

  See Also:
    Constant Field Values

### BORDER_MEDIUM_DASHED

    static final short BORDER_MEDIUM_DASHED

  Medium dashed border

  See Also:
    Constant Field Values

### BORDER_DASH_DOT

    static final short BORDER_DASH_DOT

  dash-dot border

  See Also:
    Constant Field Values

### BORDER_MEDIUM_DASH_DOT

    static final short BORDER_MEDIUM_DASH_DOT

  medium dash-dot border

  See Also:
    Constant Field Values

### BORDER_DASH_DOT_DOT

    static final short BORDER_DASH_DOT_DOT

  dash-dot-dot border

  See Also:
    Constant Field Values

### BORDER_MEDIUM_DASH_DOT_DOT

    static final short BORDER_MEDIUM_DASH_DOT_DOT

  medium dash-dot-dot border

  See Also:
    Constant Field Values

### BORDER_SLANTED_DASH_DOT

    static final short BORDER_SLANTED_DASH_DOT

  slanted dash-dot border

  See Also:
    Constant Field Values

Method Detail

### getBorderBottom

    short getBorderBottom()

### getBorderDiagonal

    short getBorderDiagonal()

### getBorderLeft

    short getBorderLeft()

### getBorderRight

    short getBorderRight()

### getBorderTop

    short getBorderTop()

### getBottomBorderColor

    short getBottomBorderColor()

### getDiagonalBorderColor

    short getDiagonalBorderColor()

### getLeftBorderColor

    short getLeftBorderColor()

### getRightBorderColor

    short getRightBorderColor()

### getTopBorderColor

    short getTopBorderColor()

### setBorderBottom

    void setBorderBottom(short border)

### setBorderDiagonal

    void setBorderDiagonal(short border)

  Set diagonal border.

  Parameters:
    `border` - MUST be a BORDER_* constant

### setBorderLeft

    void setBorderLeft(short border)

  Set left border.

  Parameters:
    `border` - MUST be a BORDER_* constant

### setBorderRight

    void setBorderRight(short border)

  Set right border.

  Parameters:
    `border` - MUST be a BORDER_* constant

### setBorderTop

    void setBorderTop(short border)

  Set top border.

  Parameters:
    `border` - MUST be a BORDER_* constant

### setBottomBorderColor

    void setBottomBorderColor(short color)

### setDiagonalBorderColor

    void setDiagonalBorderColor(short color)

### setLeftBorderColor

    void setLeftBorderColor(short color)

### setRightBorderColor

    void setRightBorderColor(short color)

### setTopBorderColor

    void setTopBorderColor(short color)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD